%define upstream_name    Benchmark-Timer
%define	upstream_version 0.7107

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Epoch:      1

Summary:	Benchmark::Timer - Perl code benchmarking tool
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Benchmark/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		Benchmark-Timer-fix-dep.patch

BuildRequires:	perl(Statistics::TTest)
BuildRequires:	perl(URI::Escape)

BuildArch:	noarch


%description
The Benchmark::Timer class allows you to time portions of code
conveniently, as well as benchmark code by allowing timings of
repeated trials. It is perfect for when you need more precise
information about the running time of portions of your code than the
Benchmark module will give you, but don't want to go all out and
profile your code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
%make_install

%files
%doc CHANGES LICENSE README META.yml
%{perl_vendorlib}/Benchmark
%{_mandir}/man3/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1:0.710.700-3.mga6
+ Revision: 1022695
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1:0.710.700-2.mga6
+ Revision: 968125
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1:0.710.700-1.mga6
+ Revision: 851314
- update to 0.7107

* Sun Oct 19 2014 umeabot <umeabot> 1:0.710.200-6.mga5
+ Revision: 790223
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1:0.710.200-5.mga5
+ Revision: 750705
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.710.200-4.mga5
+ Revision: 683599
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:0.710.200-3.mga4
+ Revision: 509261
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:0.710.200-2.mga3
+ Revision: 363361
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 1:0.710.200-1.mga1
+ Revision: 33591
- mageia rebuild
- imported package perl-Benchmark-Timer


* Mon Aug 31 2009 Jérôme Quelin <jquelin@mandriva.org> 1:0.710.200-1mdv2010.0
+ Revision: 422881
- bumping epoch
- update to 0.7102

* Mon Jul 21 2008 Thierry Vignaud <tv@mandriva.org> 0.7101-2mdv2009.0
+ Revision: 239336
- patch 0: fix dependancy on /usr/local/bin/perl

* Sat Jul 19 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.7101-1mdv2009.0
+ Revision: 238736
- own containing directory

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.7100-3mdv2008.0
+ Revision: 25447
- rebuild


* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.7100-2mdk
- Fix SPEC Using perl Policies
	- BuildRequires
	- Source URL
- use mkrel

* Sun Jul 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.7100-1mdk
- initial Mandriva package

